/********************************************************************************
** Form generated from reading UI file 'deepseagui.ui'
**
** Created by: Qt User Interface Compiler version 5.12.5
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_DEEPSEAGUI_H
#define UI_DEEPSEAGUI_H

#include <QtCore/QVariant>
#include <QtWidgets/QAction>
#include <QtWidgets/QApplication>
#include <QtWidgets/QCheckBox>
#include <QtWidgets/QComboBox>
#include <QtWidgets/QFrame>
#include <QtWidgets/QLabel>
#include <QtWidgets/QMainWindow>
#include <QtWidgets/QMenu>
#include <QtWidgets/QMenuBar>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QSpinBox>
#include <QtWidgets/QStatusBar>
#include <QtWidgets/QTabWidget>
#include <QtWidgets/QTextEdit>
#include <QtWidgets/QToolBar>
#include <QtWidgets/QVBoxLayout>
#include <QtWidgets/QWidget>

QT_BEGIN_NAMESPACE

class Ui_DeepSeaGUI
{
public:
    QAction *actionLicense;
    QWidget *centralWidget;
    QFrame *m_chooseDeviceFrame;
    QLabel *m_chooseDeviceLabel;
    QComboBox *m_serialPortComboBox;
    QPushButton *m_serialPortRefreshButton;
    QFrame *m_chooseParametersFrame;
    QLabel *m_chooseParametersLabel;
    QLabel *m_PWMUVLabel;
    QLabel *m_currentUVLabel;
    QLabel *m_PWMIRLabel;
    QLabel *m_currentIRLabel;
    QLabel *m_TSL2572GainLLabel;
    QLabel *m_TSL2572IntegrationtimeLabel;
    QLabel *m_TCS3472RedGainLabel;
    QLabel *m_TCS3472RedIntegrationtimeLabel;
    QLabel *m_VEML6070IntegrationtimeLabel;
    QSpinBox *m_PWMUVSpinBox;
    QSpinBox *m_currentUVSpinBox;
    QSpinBox *m_PWMIRSpinBox;
    QSpinBox *m_currentIRSpinBox;
    QSpinBox *m_TSL2572IntegrationtimeSpinBox;
    QSpinBox *m_TCS3472RedIntegrationtimeSpinBox;
    QComboBox *m_TSL2572GainComboBox;
    QComboBox *m_TCS3472RedGainComboBox;
    QComboBox *m_VEML6070IntegrationtimeComboBox;
    QLabel *m_TSL2572TimeResultLabel;
    QLabel *m_TCS3472RedTimeResultLabel;
    QLabel *m_VEML6070TimeResultLabel;
    QLabel *m_PWMGLabel;
    QLabel *m_PWMRLabel;
    QSpinBox *m_PWMGSpinBox;
    QLabel *m_currentGLabel;
    QLabel *m_currentRLabel;
    QSpinBox *m_PWMRSpinBox;
    QSpinBox *m_currentRSpinBox;
    QSpinBox *m_currentGSpinBox;
    QSpinBox *m_currentBSpinBox;
    QLabel *m_PWMBLabel;
    QSpinBox *m_PWMBSpinBox;
    QLabel *m_currentBLabel;
    QComboBox *m_pressureADCPrecisionComboBox;
    QLabel *m_pressureADCPrecisionLabel;
    QComboBox *m_temperatureADCPrecisionComboBox;
    QLabel *m_temperatureADCPrecisionLabel;
    QComboBox *m_TCS3472GreenGainComboBox;
    QLabel *m_TCS3472GreenIntegrationtimeLabel;
    QLabel *m_TCS3472GreenGainLabel;
    QSpinBox *m_TCS3472GreenIntegrationtimeSpinBox;
    QLabel *m_TCS3472GreenTimeResultLabel;
    QComboBox *m_TCS3472BlueGainComboBox;
    QLabel *m_TCS3472BlueIntegrationtimeLabel;
    QLabel *m_TCS3472BlueGainLabel;
    QSpinBox *m_TCS3472BlueIntegrationtimeSpinBox;
    QLabel *m_TCS3472BlueTimeResultLabel;
    QComboBox *m_TCS3472ClearGainComboBox;
    QLabel *m_TCS3472ClearIntegrationtimeLabel;
    QLabel *m_TCS3472ClearGainLabel;
    QSpinBox *m_TCS3472ClearIntegrationtimeSpinBox;
    QLabel *m_TCS3472ClearTimeResultLabel;
    QFrame *m_chooseMeasurementFrame;
    QLabel *m_chooseMeasurementLabel;
    QLabel *m_sampleRateLabel;
    QSpinBox *m_sampleRateSpinBox;
    QSpinBox *m_numberSamplesSpinBox;
    QLabel *m_numberSamplesLabel;
    QLabel *m_sampleTimeLabel;
    QLabel *m_measurementMethodLabel;
    QComboBox *m_measurementMethodComboBox;
    QLabel *m_resultingSampleTimeLabel;
    QPushButton *m_startMeasurementButton;
    QPushButton *m_stopMeasurementButton;
    QCheckBox *m_showRedCheckBox_3;
    QTextEdit *m_statusTextEdit;
    QFrame *m_chooseFileFrame;
    QPushButton *m_chooseFileButton;
    QLabel *m_chooseFileLabel;
    QTextEdit *m_currentFileTextEdit;
    QTabWidget *m_resultsTabWidget;
    QWidget *onlineChartTab;
    QWidget *verticalLayoutWidget;
    QVBoxLayout *m_onlineChartVerticalLayout;
    QWidget *rawDataTab;
    QTextEdit *m_responseTextEdit;
    QFrame *m_chartOptionsFrame;
    QLabel *m_chartOptionsLabel;
    QPushButton *m_clearDataButton;
    QPushButton *m_saveChartButton;
    QPushButton *m_loadDataButton;
    QCheckBox *m_showClearCheckBox;
    QCheckBox *m_showBlueCheckBox;
    QCheckBox *m_showGreenCheckBox;
    QCheckBox *m_showRedCheckBox;
    QCheckBox *m_showUVCheckBox;
    QCheckBox *m_showTemperatureCheckBox;
    QCheckBox *m_showIRCheckBox;
    QCheckBox *m_showPressureCheckBox;
    QFrame *line;
    QFrame *line_2;
    QCheckBox *m_pointsVisibleCheckBox;
    QCheckBox *m_legendVisibleCheckBox;
    QCheckBox *m_showRedCheckBox_2;
    QLabel *m_sampleTimeLabel_2;
    QToolBar *mainToolBar;
    QStatusBar *statusBar;
    QMenuBar *menuBar;
    QMenu *menuLicense;

    void setupUi(QMainWindow *DeepSeaGUI)
    {
        if (DeepSeaGUI->objectName().isEmpty())
            DeepSeaGUI->setObjectName(QString::fromUtf8("DeepSeaGUI"));
        DeepSeaGUI->resize(1405, 829);
        actionLicense = new QAction(DeepSeaGUI);
        actionLicense->setObjectName(QString::fromUtf8("actionLicense"));
        centralWidget = new QWidget(DeepSeaGUI);
        centralWidget->setObjectName(QString::fromUtf8("centralWidget"));
        m_chooseDeviceFrame = new QFrame(centralWidget);
        m_chooseDeviceFrame->setObjectName(QString::fromUtf8("m_chooseDeviceFrame"));
        m_chooseDeviceFrame->setGeometry(QRect(330, 10, 311, 71));
        m_chooseDeviceFrame->setFrameShape(QFrame::StyledPanel);
        m_chooseDeviceFrame->setFrameShadow(QFrame::Raised);
        m_chooseDeviceLabel = new QLabel(m_chooseDeviceFrame);
        m_chooseDeviceLabel->setObjectName(QString::fromUtf8("m_chooseDeviceLabel"));
        m_chooseDeviceLabel->setGeometry(QRect(10, 0, 131, 20));
        m_chooseDeviceLabel->setMouseTracking(true);
        m_chooseDeviceLabel->setTextFormat(Qt::AutoText);
        m_chooseDeviceLabel->setMargin(0);
        m_serialPortComboBox = new QComboBox(m_chooseDeviceFrame);
        m_serialPortComboBox->setObjectName(QString::fromUtf8("m_serialPortComboBox"));
        m_serialPortComboBox->setGeometry(QRect(10, 20, 181, 31));
        m_serialPortComboBox->setFocusPolicy(Qt::StrongFocus);
        m_serialPortRefreshButton = new QPushButton(m_chooseDeviceFrame);
        m_serialPortRefreshButton->setObjectName(QString::fromUtf8("m_serialPortRefreshButton"));
        m_serialPortRefreshButton->setGeometry(QRect(190, 20, 113, 31));
        m_serialPortRefreshButton->setFocusPolicy(Qt::ClickFocus);
        m_chooseParametersFrame = new QFrame(centralWidget);
        m_chooseParametersFrame->setObjectName(QString::fromUtf8("m_chooseParametersFrame"));
        m_chooseParametersFrame->setGeometry(QRect(10, 10, 311, 751));
        m_chooseParametersFrame->setFrameShape(QFrame::StyledPanel);
        m_chooseParametersFrame->setFrameShadow(QFrame::Raised);
        m_chooseParametersLabel = new QLabel(m_chooseParametersFrame);
        m_chooseParametersLabel->setObjectName(QString::fromUtf8("m_chooseParametersLabel"));
        m_chooseParametersLabel->setGeometry(QRect(10, 0, 231, 21));
        m_PWMUVLabel = new QLabel(m_chooseParametersFrame);
        m_PWMUVLabel->setObjectName(QString::fromUtf8("m_PWMUVLabel"));
        m_PWMUVLabel->setGeometry(QRect(10, 20, 141, 21));
        m_PWMUVLabel->setWordWrap(true);
        m_currentUVLabel = new QLabel(m_chooseParametersFrame);
        m_currentUVLabel->setObjectName(QString::fromUtf8("m_currentUVLabel"));
        m_currentUVLabel->setGeometry(QRect(10, 50, 141, 21));
        m_currentUVLabel->setWordWrap(true);
        m_PWMIRLabel = new QLabel(m_chooseParametersFrame);
        m_PWMIRLabel->setObjectName(QString::fromUtf8("m_PWMIRLabel"));
        m_PWMIRLabel->setGeometry(QRect(10, 80, 141, 21));
        m_PWMIRLabel->setWordWrap(true);
        m_currentIRLabel = new QLabel(m_chooseParametersFrame);
        m_currentIRLabel->setObjectName(QString::fromUtf8("m_currentIRLabel"));
        m_currentIRLabel->setGeometry(QRect(10, 110, 141, 21));
        m_currentIRLabel->setWordWrap(true);
        m_TSL2572GainLLabel = new QLabel(m_chooseParametersFrame);
        m_TSL2572GainLLabel->setObjectName(QString::fromUtf8("m_TSL2572GainLLabel"));
        m_TSL2572GainLLabel->setGeometry(QRect(10, 330, 141, 21));
        m_TSL2572GainLLabel->setWordWrap(true);
        m_TSL2572IntegrationtimeLabel = new QLabel(m_chooseParametersFrame);
        m_TSL2572IntegrationtimeLabel->setObjectName(QString::fromUtf8("m_TSL2572IntegrationtimeLabel"));
        m_TSL2572IntegrationtimeLabel->setGeometry(QRect(10, 350, 141, 41));
        m_TSL2572IntegrationtimeLabel->setWordWrap(true);
        m_TCS3472RedGainLabel = new QLabel(m_chooseParametersFrame);
        m_TCS3472RedGainLabel->setObjectName(QString::fromUtf8("m_TCS3472RedGainLabel"));
        m_TCS3472RedGainLabel->setGeometry(QRect(10, 400, 141, 21));
        m_TCS3472RedGainLabel->setWordWrap(true);
        m_TCS3472RedIntegrationtimeLabel = new QLabel(m_chooseParametersFrame);
        m_TCS3472RedIntegrationtimeLabel->setObjectName(QString::fromUtf8("m_TCS3472RedIntegrationtimeLabel"));
        m_TCS3472RedIntegrationtimeLabel->setGeometry(QRect(10, 420, 141, 41));
        m_TCS3472RedIntegrationtimeLabel->setWordWrap(true);
        m_VEML6070IntegrationtimeLabel = new QLabel(m_chooseParametersFrame);
        m_VEML6070IntegrationtimeLabel->setObjectName(QString::fromUtf8("m_VEML6070IntegrationtimeLabel"));
        m_VEML6070IntegrationtimeLabel->setGeometry(QRect(10, 640, 141, 41));
        m_VEML6070IntegrationtimeLabel->setWordWrap(true);
        m_PWMUVSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_PWMUVSpinBox->setObjectName(QString::fromUtf8("m_PWMUVSpinBox"));
        m_PWMUVSpinBox->setGeometry(QRect(160, 20, 61, 21));
        m_PWMUVSpinBox->setMaximum(255);
        m_PWMUVSpinBox->setStepType(QAbstractSpinBox::DefaultStepType);
        m_PWMUVSpinBox->setValue(180);
        m_currentUVSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_currentUVSpinBox->setObjectName(QString::fromUtf8("m_currentUVSpinBox"));
        m_currentUVSpinBox->setGeometry(QRect(160, 50, 61, 22));
        m_currentUVSpinBox->setMaximum(255);
        m_currentUVSpinBox->setValue(195);
        m_PWMIRSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_PWMIRSpinBox->setObjectName(QString::fromUtf8("m_PWMIRSpinBox"));
        m_PWMIRSpinBox->setGeometry(QRect(160, 80, 61, 22));
        m_PWMIRSpinBox->setMaximum(255);
        m_PWMIRSpinBox->setValue(180);
        m_currentIRSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_currentIRSpinBox->setObjectName(QString::fromUtf8("m_currentIRSpinBox"));
        m_currentIRSpinBox->setGeometry(QRect(160, 110, 61, 22));
        m_currentIRSpinBox->setMaximum(255);
        m_currentIRSpinBox->setValue(195);
        m_TSL2572IntegrationtimeSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_TSL2572IntegrationtimeSpinBox->setObjectName(QString::fromUtf8("m_TSL2572IntegrationtimeSpinBox"));
        m_TSL2572IntegrationtimeSpinBox->setGeometry(QRect(160, 360, 61, 22));
        m_TSL2572IntegrationtimeSpinBox->setMinimum(1);
        m_TSL2572IntegrationtimeSpinBox->setMaximum(256);
        m_TSL2572IntegrationtimeSpinBox->setValue(46);
        m_TCS3472RedIntegrationtimeSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_TCS3472RedIntegrationtimeSpinBox->setObjectName(QString::fromUtf8("m_TCS3472RedIntegrationtimeSpinBox"));
        m_TCS3472RedIntegrationtimeSpinBox->setGeometry(QRect(160, 430, 61, 22));
        m_TCS3472RedIntegrationtimeSpinBox->setMinimum(1);
        m_TCS3472RedIntegrationtimeSpinBox->setMaximum(256);
        m_TCS3472RedIntegrationtimeSpinBox->setValue(52);
        m_TSL2572GainComboBox = new QComboBox(m_chooseParametersFrame);
        m_TSL2572GainComboBox->setObjectName(QString::fromUtf8("m_TSL2572GainComboBox"));
        m_TSL2572GainComboBox->setGeometry(QRect(160, 320, 71, 41));
        m_TSL2572GainComboBox->setFocusPolicy(Qt::StrongFocus);
        m_TCS3472RedGainComboBox = new QComboBox(m_chooseParametersFrame);
        m_TCS3472RedGainComboBox->setObjectName(QString::fromUtf8("m_TCS3472RedGainComboBox"));
        m_TCS3472RedGainComboBox->setGeometry(QRect(160, 390, 71, 41));
        m_TCS3472RedGainComboBox->setMouseTracking(false);
        m_TCS3472RedGainComboBox->setFocusPolicy(Qt::StrongFocus);
        m_TCS3472RedGainComboBox->setEditable(false);
        m_VEML6070IntegrationtimeComboBox = new QComboBox(m_chooseParametersFrame);
        m_VEML6070IntegrationtimeComboBox->setObjectName(QString::fromUtf8("m_VEML6070IntegrationtimeComboBox"));
        m_VEML6070IntegrationtimeComboBox->setGeometry(QRect(160, 640, 71, 41));
        m_VEML6070IntegrationtimeComboBox->setFocusPolicy(Qt::StrongFocus);
        m_TSL2572TimeResultLabel = new QLabel(m_chooseParametersFrame);
        m_TSL2572TimeResultLabel->setObjectName(QString::fromUtf8("m_TSL2572TimeResultLabel"));
        m_TSL2572TimeResultLabel->setGeometry(QRect(230, 360, 71, 21));
        m_TCS3472RedTimeResultLabel = new QLabel(m_chooseParametersFrame);
        m_TCS3472RedTimeResultLabel->setObjectName(QString::fromUtf8("m_TCS3472RedTimeResultLabel"));
        m_TCS3472RedTimeResultLabel->setGeometry(QRect(230, 430, 71, 21));
        m_VEML6070TimeResultLabel = new QLabel(m_chooseParametersFrame);
        m_VEML6070TimeResultLabel->setObjectName(QString::fromUtf8("m_VEML6070TimeResultLabel"));
        m_VEML6070TimeResultLabel->setGeometry(QRect(230, 650, 71, 21));
        m_PWMGLabel = new QLabel(m_chooseParametersFrame);
        m_PWMGLabel->setObjectName(QString::fromUtf8("m_PWMGLabel"));
        m_PWMGLabel->setGeometry(QRect(10, 200, 141, 21));
        m_PWMGLabel->setWordWrap(true);
        m_PWMRLabel = new QLabel(m_chooseParametersFrame);
        m_PWMRLabel->setObjectName(QString::fromUtf8("m_PWMRLabel"));
        m_PWMRLabel->setGeometry(QRect(10, 140, 141, 21));
        m_PWMRLabel->setWordWrap(true);
        m_PWMGSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_PWMGSpinBox->setObjectName(QString::fromUtf8("m_PWMGSpinBox"));
        m_PWMGSpinBox->setGeometry(QRect(160, 200, 61, 22));
        m_PWMGSpinBox->setMaximum(255);
        m_PWMGSpinBox->setValue(180);
        m_currentGLabel = new QLabel(m_chooseParametersFrame);
        m_currentGLabel->setObjectName(QString::fromUtf8("m_currentGLabel"));
        m_currentGLabel->setGeometry(QRect(10, 230, 141, 21));
        m_currentGLabel->setWordWrap(true);
        m_currentRLabel = new QLabel(m_chooseParametersFrame);
        m_currentRLabel->setObjectName(QString::fromUtf8("m_currentRLabel"));
        m_currentRLabel->setGeometry(QRect(10, 170, 141, 21));
        m_currentRLabel->setWordWrap(true);
        m_PWMRSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_PWMRSpinBox->setObjectName(QString::fromUtf8("m_PWMRSpinBox"));
        m_PWMRSpinBox->setGeometry(QRect(160, 140, 61, 21));
        m_PWMRSpinBox->setMaximum(255);
        m_PWMRSpinBox->setStepType(QAbstractSpinBox::DefaultStepType);
        m_PWMRSpinBox->setValue(180);
        m_currentRSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_currentRSpinBox->setObjectName(QString::fromUtf8("m_currentRSpinBox"));
        m_currentRSpinBox->setGeometry(QRect(160, 170, 61, 22));
        m_currentRSpinBox->setMaximum(255);
        m_currentRSpinBox->setValue(195);
        m_currentGSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_currentGSpinBox->setObjectName(QString::fromUtf8("m_currentGSpinBox"));
        m_currentGSpinBox->setGeometry(QRect(160, 230, 61, 22));
        m_currentGSpinBox->setMaximum(255);
        m_currentGSpinBox->setValue(195);
        m_currentBSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_currentBSpinBox->setObjectName(QString::fromUtf8("m_currentBSpinBox"));
        m_currentBSpinBox->setGeometry(QRect(160, 290, 61, 22));
        m_currentBSpinBox->setMaximum(255);
        m_currentBSpinBox->setValue(195);
        m_PWMBLabel = new QLabel(m_chooseParametersFrame);
        m_PWMBLabel->setObjectName(QString::fromUtf8("m_PWMBLabel"));
        m_PWMBLabel->setGeometry(QRect(10, 260, 141, 21));
        m_PWMBLabel->setWordWrap(true);
        m_PWMBSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_PWMBSpinBox->setObjectName(QString::fromUtf8("m_PWMBSpinBox"));
        m_PWMBSpinBox->setGeometry(QRect(160, 260, 61, 22));
        m_PWMBSpinBox->setMaximum(255);
        m_PWMBSpinBox->setValue(180);
        m_currentBLabel = new QLabel(m_chooseParametersFrame);
        m_currentBLabel->setObjectName(QString::fromUtf8("m_currentBLabel"));
        m_currentBLabel->setGeometry(QRect(10, 290, 141, 21));
        m_currentBLabel->setWordWrap(true);
        m_pressureADCPrecisionComboBox = new QComboBox(m_chooseParametersFrame);
        m_pressureADCPrecisionComboBox->setObjectName(QString::fromUtf8("m_pressureADCPrecisionComboBox"));
        m_pressureADCPrecisionComboBox->setGeometry(QRect(160, 680, 71, 41));
        m_pressureADCPrecisionComboBox->setFocusPolicy(Qt::StrongFocus);
        m_pressureADCPrecisionLabel = new QLabel(m_chooseParametersFrame);
        m_pressureADCPrecisionLabel->setObjectName(QString::fromUtf8("m_pressureADCPrecisionLabel"));
        m_pressureADCPrecisionLabel->setGeometry(QRect(10, 680, 151, 41));
        m_pressureADCPrecisionLabel->setWordWrap(true);
        m_temperatureADCPrecisionComboBox = new QComboBox(m_chooseParametersFrame);
        m_temperatureADCPrecisionComboBox->setObjectName(QString::fromUtf8("m_temperatureADCPrecisionComboBox"));
        m_temperatureADCPrecisionComboBox->setGeometry(QRect(160, 710, 71, 41));
        m_temperatureADCPrecisionComboBox->setFocusPolicy(Qt::StrongFocus);
        m_temperatureADCPrecisionLabel = new QLabel(m_chooseParametersFrame);
        m_temperatureADCPrecisionLabel->setObjectName(QString::fromUtf8("m_temperatureADCPrecisionLabel"));
        m_temperatureADCPrecisionLabel->setGeometry(QRect(10, 710, 141, 41));
        m_temperatureADCPrecisionLabel->setWordWrap(true);
        m_TCS3472GreenGainComboBox = new QComboBox(m_chooseParametersFrame);
        m_TCS3472GreenGainComboBox->setObjectName(QString::fromUtf8("m_TCS3472GreenGainComboBox"));
        m_TCS3472GreenGainComboBox->setGeometry(QRect(160, 450, 71, 41));
        m_TCS3472GreenGainComboBox->setMouseTracking(false);
        m_TCS3472GreenGainComboBox->setFocusPolicy(Qt::StrongFocus);
        m_TCS3472GreenGainComboBox->setEditable(false);
        m_TCS3472GreenIntegrationtimeLabel = new QLabel(m_chooseParametersFrame);
        m_TCS3472GreenIntegrationtimeLabel->setObjectName(QString::fromUtf8("m_TCS3472GreenIntegrationtimeLabel"));
        m_TCS3472GreenIntegrationtimeLabel->setGeometry(QRect(10, 480, 141, 41));
        m_TCS3472GreenIntegrationtimeLabel->setWordWrap(true);
        m_TCS3472GreenGainLabel = new QLabel(m_chooseParametersFrame);
        m_TCS3472GreenGainLabel->setObjectName(QString::fromUtf8("m_TCS3472GreenGainLabel"));
        m_TCS3472GreenGainLabel->setGeometry(QRect(10, 460, 141, 21));
        m_TCS3472GreenGainLabel->setWordWrap(true);
        m_TCS3472GreenIntegrationtimeSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_TCS3472GreenIntegrationtimeSpinBox->setObjectName(QString::fromUtf8("m_TCS3472GreenIntegrationtimeSpinBox"));
        m_TCS3472GreenIntegrationtimeSpinBox->setGeometry(QRect(160, 490, 61, 22));
        m_TCS3472GreenIntegrationtimeSpinBox->setMinimum(1);
        m_TCS3472GreenIntegrationtimeSpinBox->setMaximum(256);
        m_TCS3472GreenIntegrationtimeSpinBox->setValue(52);
        m_TCS3472GreenTimeResultLabel = new QLabel(m_chooseParametersFrame);
        m_TCS3472GreenTimeResultLabel->setObjectName(QString::fromUtf8("m_TCS3472GreenTimeResultLabel"));
        m_TCS3472GreenTimeResultLabel->setGeometry(QRect(230, 490, 71, 21));
        m_TCS3472BlueGainComboBox = new QComboBox(m_chooseParametersFrame);
        m_TCS3472BlueGainComboBox->setObjectName(QString::fromUtf8("m_TCS3472BlueGainComboBox"));
        m_TCS3472BlueGainComboBox->setGeometry(QRect(160, 510, 71, 41));
        m_TCS3472BlueGainComboBox->setMouseTracking(false);
        m_TCS3472BlueGainComboBox->setFocusPolicy(Qt::StrongFocus);
        m_TCS3472BlueGainComboBox->setEditable(false);
        m_TCS3472BlueIntegrationtimeLabel = new QLabel(m_chooseParametersFrame);
        m_TCS3472BlueIntegrationtimeLabel->setObjectName(QString::fromUtf8("m_TCS3472BlueIntegrationtimeLabel"));
        m_TCS3472BlueIntegrationtimeLabel->setGeometry(QRect(10, 540, 141, 41));
        m_TCS3472BlueIntegrationtimeLabel->setWordWrap(true);
        m_TCS3472BlueGainLabel = new QLabel(m_chooseParametersFrame);
        m_TCS3472BlueGainLabel->setObjectName(QString::fromUtf8("m_TCS3472BlueGainLabel"));
        m_TCS3472BlueGainLabel->setGeometry(QRect(10, 520, 141, 21));
        m_TCS3472BlueGainLabel->setWordWrap(true);
        m_TCS3472BlueIntegrationtimeSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_TCS3472BlueIntegrationtimeSpinBox->setObjectName(QString::fromUtf8("m_TCS3472BlueIntegrationtimeSpinBox"));
        m_TCS3472BlueIntegrationtimeSpinBox->setGeometry(QRect(160, 550, 61, 22));
        m_TCS3472BlueIntegrationtimeSpinBox->setMinimum(1);
        m_TCS3472BlueIntegrationtimeSpinBox->setMaximum(256);
        m_TCS3472BlueIntegrationtimeSpinBox->setValue(52);
        m_TCS3472BlueTimeResultLabel = new QLabel(m_chooseParametersFrame);
        m_TCS3472BlueTimeResultLabel->setObjectName(QString::fromUtf8("m_TCS3472BlueTimeResultLabel"));
        m_TCS3472BlueTimeResultLabel->setGeometry(QRect(230, 550, 71, 21));
        m_TCS3472ClearGainComboBox = new QComboBox(m_chooseParametersFrame);
        m_TCS3472ClearGainComboBox->setObjectName(QString::fromUtf8("m_TCS3472ClearGainComboBox"));
        m_TCS3472ClearGainComboBox->setGeometry(QRect(160, 570, 71, 41));
        m_TCS3472ClearGainComboBox->setMouseTracking(false);
        m_TCS3472ClearGainComboBox->setFocusPolicy(Qt::StrongFocus);
        m_TCS3472ClearGainComboBox->setEditable(false);
        m_TCS3472ClearIntegrationtimeLabel = new QLabel(m_chooseParametersFrame);
        m_TCS3472ClearIntegrationtimeLabel->setObjectName(QString::fromUtf8("m_TCS3472ClearIntegrationtimeLabel"));
        m_TCS3472ClearIntegrationtimeLabel->setGeometry(QRect(10, 600, 141, 41));
        m_TCS3472ClearIntegrationtimeLabel->setWordWrap(true);
        m_TCS3472ClearGainLabel = new QLabel(m_chooseParametersFrame);
        m_TCS3472ClearGainLabel->setObjectName(QString::fromUtf8("m_TCS3472ClearGainLabel"));
        m_TCS3472ClearGainLabel->setGeometry(QRect(10, 580, 141, 21));
        m_TCS3472ClearGainLabel->setWordWrap(true);
        m_TCS3472ClearIntegrationtimeSpinBox = new QSpinBox(m_chooseParametersFrame);
        m_TCS3472ClearIntegrationtimeSpinBox->setObjectName(QString::fromUtf8("m_TCS3472ClearIntegrationtimeSpinBox"));
        m_TCS3472ClearIntegrationtimeSpinBox->setGeometry(QRect(160, 610, 61, 22));
        m_TCS3472ClearIntegrationtimeSpinBox->setMinimum(1);
        m_TCS3472ClearIntegrationtimeSpinBox->setMaximum(256);
        m_TCS3472ClearIntegrationtimeSpinBox->setValue(52);
        m_TCS3472ClearTimeResultLabel = new QLabel(m_chooseParametersFrame);
        m_TCS3472ClearTimeResultLabel->setObjectName(QString::fromUtf8("m_TCS3472ClearTimeResultLabel"));
        m_TCS3472ClearTimeResultLabel->setGeometry(QRect(230, 610, 71, 21));
        m_chooseMeasurementFrame = new QFrame(centralWidget);
        m_chooseMeasurementFrame->setObjectName(QString::fromUtf8("m_chooseMeasurementFrame"));
        m_chooseMeasurementFrame->setGeometry(QRect(650, 10, 341, 161));
        m_chooseMeasurementFrame->setFrameShape(QFrame::StyledPanel);
        m_chooseMeasurementFrame->setFrameShadow(QFrame::Raised);
        m_chooseMeasurementLabel = new QLabel(m_chooseMeasurementFrame);
        m_chooseMeasurementLabel->setObjectName(QString::fromUtf8("m_chooseMeasurementLabel"));
        m_chooseMeasurementLabel->setGeometry(QRect(10, 0, 201, 21));
        m_sampleRateLabel = new QLabel(m_chooseMeasurementFrame);
        m_sampleRateLabel->setObjectName(QString::fromUtf8("m_sampleRateLabel"));
        m_sampleRateLabel->setGeometry(QRect(10, 80, 131, 41));
        m_sampleRateLabel->setWordWrap(true);
        m_sampleRateSpinBox = new QSpinBox(m_chooseMeasurementFrame);
        m_sampleRateSpinBox->setObjectName(QString::fromUtf8("m_sampleRateSpinBox"));
        m_sampleRateSpinBox->setEnabled(true);
        m_sampleRateSpinBox->setGeometry(QRect(160, 90, 61, 21));
        m_sampleRateSpinBox->setMinimum(6);
        m_sampleRateSpinBox->setMaximum(1000);
        m_sampleRateSpinBox->setStepType(QAbstractSpinBox::DefaultStepType);
        m_numberSamplesSpinBox = new QSpinBox(m_chooseMeasurementFrame);
        m_numberSamplesSpinBox->setObjectName(QString::fromUtf8("m_numberSamplesSpinBox"));
        m_numberSamplesSpinBox->setEnabled(true);
        m_numberSamplesSpinBox->setGeometry(QRect(160, 60, 61, 21));
        m_numberSamplesSpinBox->setMinimum(1);
        m_numberSamplesSpinBox->setMaximum(20000);
        m_numberSamplesSpinBox->setStepType(QAbstractSpinBox::DefaultStepType);
        m_numberSamplesSpinBox->setValue(1);
        m_numberSamplesLabel = new QLabel(m_chooseMeasurementFrame);
        m_numberSamplesLabel->setObjectName(QString::fromUtf8("m_numberSamplesLabel"));
        m_numberSamplesLabel->setGeometry(QRect(10, 60, 131, 21));
        m_numberSamplesLabel->setWordWrap(true);
        m_sampleTimeLabel = new QLabel(m_chooseMeasurementFrame);
        m_sampleTimeLabel->setObjectName(QString::fromUtf8("m_sampleTimeLabel"));
        m_sampleTimeLabel->setGeometry(QRect(10, 110, 151, 31));
        m_sampleTimeLabel->setWordWrap(true);
        m_measurementMethodLabel = new QLabel(m_chooseMeasurementFrame);
        m_measurementMethodLabel->setObjectName(QString::fromUtf8("m_measurementMethodLabel"));
        m_measurementMethodLabel->setGeometry(QRect(10, 30, 91, 21));
        m_measurementMethodLabel->setWordWrap(true);
        m_measurementMethodComboBox = new QComboBox(m_chooseMeasurementFrame);
        m_measurementMethodComboBox->setObjectName(QString::fromUtf8("m_measurementMethodComboBox"));
        m_measurementMethodComboBox->setGeometry(QRect(70, 20, 261, 41));
        m_measurementMethodComboBox->setFocusPolicy(Qt::StrongFocus);
        m_measurementMethodComboBox->setAcceptDrops(false);
        m_resultingSampleTimeLabel = new QLabel(m_chooseMeasurementFrame);
        m_resultingSampleTimeLabel->setObjectName(QString::fromUtf8("m_resultingSampleTimeLabel"));
        m_resultingSampleTimeLabel->setGeometry(QRect(160, 110, 161, 31));
        m_startMeasurementButton = new QPushButton(m_chooseMeasurementFrame);
        m_startMeasurementButton->setObjectName(QString::fromUtf8("m_startMeasurementButton"));
        m_startMeasurementButton->setGeometry(QRect(220, 60, 111, 31));
        m_startMeasurementButton->setFocusPolicy(Qt::ClickFocus);
        m_stopMeasurementButton = new QPushButton(m_chooseMeasurementFrame);
        m_stopMeasurementButton->setObjectName(QString::fromUtf8("m_stopMeasurementButton"));
        m_stopMeasurementButton->setEnabled(false);
        m_stopMeasurementButton->setGeometry(QRect(220, 90, 111, 31));
        m_stopMeasurementButton->setFocusPolicy(Qt::ClickFocus);
        m_showRedCheckBox_3 = new QCheckBox(m_chooseMeasurementFrame);
        m_showRedCheckBox_3->setObjectName(QString::fromUtf8("m_showRedCheckBox_3"));
        m_showRedCheckBox_3->setGeometry(QRect(200, 120, 141, 20));
        m_showRedCheckBox_3->setChecked(true);
        m_statusTextEdit = new QTextEdit(centralWidget);
        m_statusTextEdit->setObjectName(QString::fromUtf8("m_statusTextEdit"));
        m_statusTextEdit->setGeometry(QRect(330, 180, 661, 91));
        m_statusTextEdit->setFocusPolicy(Qt::ClickFocus);
        m_statusTextEdit->setVerticalScrollBarPolicy(Qt::ScrollBarAsNeeded);
        m_statusTextEdit->setReadOnly(true);
        m_chooseFileFrame = new QFrame(centralWidget);
        m_chooseFileFrame->setObjectName(QString::fromUtf8("m_chooseFileFrame"));
        m_chooseFileFrame->setGeometry(QRect(330, 90, 311, 81));
        m_chooseFileFrame->setFrameShape(QFrame::StyledPanel);
        m_chooseFileFrame->setFrameShadow(QFrame::Raised);
        m_chooseFileButton = new QPushButton(m_chooseFileFrame);
        m_chooseFileButton->setObjectName(QString::fromUtf8("m_chooseFileButton"));
        m_chooseFileButton->setGeometry(QRect(190, 30, 113, 31));
        m_chooseFileButton->setFocusPolicy(Qt::ClickFocus);
        m_chooseFileLabel = new QLabel(m_chooseFileFrame);
        m_chooseFileLabel->setObjectName(QString::fromUtf8("m_chooseFileLabel"));
        m_chooseFileLabel->setGeometry(QRect(10, 0, 131, 20));
        m_chooseFileLabel->setMouseTracking(true);
        m_chooseFileLabel->setTextFormat(Qt::AutoText);
        m_chooseFileLabel->setMargin(0);
        m_currentFileTextEdit = new QTextEdit(m_chooseFileFrame);
        m_currentFileTextEdit->setObjectName(QString::fromUtf8("m_currentFileTextEdit"));
        m_currentFileTextEdit->setGeometry(QRect(10, 30, 181, 31));
        QFont font;
        font.setPointSize(11);
        m_currentFileTextEdit->setFont(font);
        m_currentFileTextEdit->setFocusPolicy(Qt::ClickFocus);
        m_currentFileTextEdit->setVerticalScrollBarPolicy(Qt::ScrollBarAsNeeded);
        m_currentFileTextEdit->setReadOnly(true);
        m_resultsTabWidget = new QTabWidget(centralWidget);
        m_resultsTabWidget->setObjectName(QString::fromUtf8("m_resultsTabWidget"));
        m_resultsTabWidget->setGeometry(QRect(340, 280, 1051, 481));
        m_resultsTabWidget->setTabPosition(QTabWidget::North);
        m_resultsTabWidget->setTabShape(QTabWidget::Rounded);
        m_resultsTabWidget->setElideMode(Qt::ElideRight);
        m_resultsTabWidget->setUsesScrollButtons(false);
        m_resultsTabWidget->setDocumentMode(false);
        m_resultsTabWidget->setTabsClosable(false);
        m_resultsTabWidget->setMovable(false);
        m_resultsTabWidget->setTabBarAutoHide(false);
        onlineChartTab = new QWidget();
        onlineChartTab->setObjectName(QString::fromUtf8("onlineChartTab"));
        verticalLayoutWidget = new QWidget(onlineChartTab);
        verticalLayoutWidget->setObjectName(QString::fromUtf8("verticalLayoutWidget"));
        verticalLayoutWidget->setGeometry(QRect(-20, -10, 1081, 471));
        m_onlineChartVerticalLayout = new QVBoxLayout(verticalLayoutWidget);
        m_onlineChartVerticalLayout->setSpacing(6);
        m_onlineChartVerticalLayout->setContentsMargins(11, 11, 11, 11);
        m_onlineChartVerticalLayout->setObjectName(QString::fromUtf8("m_onlineChartVerticalLayout"));
        m_onlineChartVerticalLayout->setContentsMargins(0, 0, 0, 0);
        m_resultsTabWidget->addTab(onlineChartTab, QString());
        rawDataTab = new QWidget();
        rawDataTab->setObjectName(QString::fromUtf8("rawDataTab"));
        m_responseTextEdit = new QTextEdit(rawDataTab);
        m_responseTextEdit->setObjectName(QString::fromUtf8("m_responseTextEdit"));
        m_responseTextEdit->setGeometry(QRect(0, 0, 1041, 451));
        m_responseTextEdit->setFocusPolicy(Qt::ClickFocus);
        m_responseTextEdit->setVerticalScrollBarPolicy(Qt::ScrollBarAsNeeded);
        m_responseTextEdit->setReadOnly(true);
        m_resultsTabWidget->addTab(rawDataTab, QString());
        m_chartOptionsFrame = new QFrame(centralWidget);
        m_chartOptionsFrame->setObjectName(QString::fromUtf8("m_chartOptionsFrame"));
        m_chartOptionsFrame->setGeometry(QRect(1000, 160, 391, 111));
        m_chartOptionsFrame->setFrameShape(QFrame::StyledPanel);
        m_chartOptionsFrame->setFrameShadow(QFrame::Raised);
        m_chartOptionsLabel = new QLabel(m_chartOptionsFrame);
        m_chartOptionsLabel->setObjectName(QString::fromUtf8("m_chartOptionsLabel"));
        m_chartOptionsLabel->setGeometry(QRect(10, 0, 201, 21));
        m_clearDataButton = new QPushButton(m_chartOptionsFrame);
        m_clearDataButton->setObjectName(QString::fromUtf8("m_clearDataButton"));
        m_clearDataButton->setGeometry(QRect(280, 10, 111, 31));
        m_clearDataButton->setFocusPolicy(Qt::ClickFocus);
        m_saveChartButton = new QPushButton(m_chartOptionsFrame);
        m_saveChartButton->setObjectName(QString::fromUtf8("m_saveChartButton"));
        m_saveChartButton->setGeometry(QRect(280, 40, 111, 31));
        m_saveChartButton->setFocusPolicy(Qt::ClickFocus);
        m_loadDataButton = new QPushButton(m_chartOptionsFrame);
        m_loadDataButton->setObjectName(QString::fromUtf8("m_loadDataButton"));
        m_loadDataButton->setEnabled(false);
        m_loadDataButton->setGeometry(QRect(280, 70, 111, 31));
        m_loadDataButton->setFocusPolicy(Qt::ClickFocus);
        m_showClearCheckBox = new QCheckBox(m_chartOptionsFrame);
        m_showClearCheckBox->setObjectName(QString::fromUtf8("m_showClearCheckBox"));
        m_showClearCheckBox->setGeometry(QRect(210, 20, 61, 20));
        m_showClearCheckBox->setChecked(true);
        m_showBlueCheckBox = new QCheckBox(m_chartOptionsFrame);
        m_showBlueCheckBox->setObjectName(QString::fromUtf8("m_showBlueCheckBox"));
        m_showBlueCheckBox->setGeometry(QRect(140, 20, 51, 20));
        m_showBlueCheckBox->setChecked(true);
        m_showGreenCheckBox = new QCheckBox(m_chartOptionsFrame);
        m_showGreenCheckBox->setObjectName(QString::fromUtf8("m_showGreenCheckBox"));
        m_showGreenCheckBox->setGeometry(QRect(70, 20, 61, 20));
        m_showGreenCheckBox->setChecked(true);
        m_showRedCheckBox = new QCheckBox(m_chartOptionsFrame);
        m_showRedCheckBox->setObjectName(QString::fromUtf8("m_showRedCheckBox"));
        m_showRedCheckBox->setGeometry(QRect(10, 20, 51, 20));
        m_showRedCheckBox->setChecked(true);
        m_showUVCheckBox = new QCheckBox(m_chartOptionsFrame);
        m_showUVCheckBox->setObjectName(QString::fromUtf8("m_showUVCheckBox"));
        m_showUVCheckBox->setGeometry(QRect(70, 50, 41, 20));
        m_showUVCheckBox->setChecked(true);
        m_showTemperatureCheckBox = new QCheckBox(m_chartOptionsFrame);
        m_showTemperatureCheckBox->setObjectName(QString::fromUtf8("m_showTemperatureCheckBox"));
        m_showTemperatureCheckBox->setGeometry(QRect(210, 40, 71, 41));
        m_showTemperatureCheckBox->setAcceptDrops(false);
        m_showTemperatureCheckBox->setChecked(true);
        m_showIRCheckBox = new QCheckBox(m_chartOptionsFrame);
        m_showIRCheckBox->setObjectName(QString::fromUtf8("m_showIRCheckBox"));
        m_showIRCheckBox->setGeometry(QRect(10, 50, 41, 20));
        m_showIRCheckBox->setChecked(true);
        m_showPressureCheckBox = new QCheckBox(m_chartOptionsFrame);
        m_showPressureCheckBox->setObjectName(QString::fromUtf8("m_showPressureCheckBox"));
        m_showPressureCheckBox->setGeometry(QRect(140, 40, 61, 41));
        m_showPressureCheckBox->setChecked(true);
        line = new QFrame(m_chartOptionsFrame);
        line->setObjectName(QString::fromUtf8("line"));
        line->setGeometry(QRect(270, 0, 20, 111));
        line->setFrameShadow(QFrame::Raised);
        line->setLineWidth(1);
        line->setMidLineWidth(0);
        line->setFrameShape(QFrame::VLine);
        line_2 = new QFrame(m_chartOptionsFrame);
        line_2->setObjectName(QString::fromUtf8("line_2"));
        line_2->setGeometry(QRect(0, 70, 281, 20));
        line_2->setFrameShadow(QFrame::Raised);
        line_2->setLineWidth(1);
        line_2->setMidLineWidth(0);
        line_2->setFrameShape(QFrame::HLine);
        m_pointsVisibleCheckBox = new QCheckBox(m_chartOptionsFrame);
        m_pointsVisibleCheckBox->setObjectName(QString::fromUtf8("m_pointsVisibleCheckBox"));
        m_pointsVisibleCheckBox->setEnabled(false);
        m_pointsVisibleCheckBox->setGeometry(QRect(10, 79, 111, 31));
        m_pointsVisibleCheckBox->setChecked(true);
        m_legendVisibleCheckBox = new QCheckBox(m_chartOptionsFrame);
        m_legendVisibleCheckBox->setObjectName(QString::fromUtf8("m_legendVisibleCheckBox"));
        m_legendVisibleCheckBox->setGeometry(QRect(140, 80, 111, 31));
        m_legendVisibleCheckBox->setChecked(true);
        m_showRedCheckBox_2 = new QCheckBox(m_chartOptionsFrame);
        m_showRedCheckBox_2->setObjectName(QString::fromUtf8("m_showRedCheckBox_2"));
        m_showRedCheckBox_2->setGeometry(QRect(-90, -30, 51, 20));
        m_showRedCheckBox_2->setChecked(true);
        m_sampleTimeLabel_2 = new QLabel(centralWidget);
        m_sampleTimeLabel_2->setObjectName(QString::fromUtf8("m_sampleTimeLabel_2"));
        m_sampleTimeLabel_2->setGeometry(QRect(1000, 10, 391, 141));
        m_sampleTimeLabel_2->setPixmap(QPixmap(QString::fromUtf8(":/images/images/deepSea_logo.png")));
        m_sampleTimeLabel_2->setScaledContents(true);
        m_sampleTimeLabel_2->setWordWrap(true);
        DeepSeaGUI->setCentralWidget(centralWidget);
        mainToolBar = new QToolBar(DeepSeaGUI);
        mainToolBar->setObjectName(QString::fromUtf8("mainToolBar"));
        DeepSeaGUI->addToolBar(Qt::TopToolBarArea, mainToolBar);
        statusBar = new QStatusBar(DeepSeaGUI);
        statusBar->setObjectName(QString::fromUtf8("statusBar"));
        DeepSeaGUI->setStatusBar(statusBar);
        menuBar = new QMenuBar(DeepSeaGUI);
        menuBar->setObjectName(QString::fromUtf8("menuBar"));
        menuBar->setGeometry(QRect(0, 0, 1405, 22));
        menuLicense = new QMenu(menuBar);
        menuLicense->setObjectName(QString::fromUtf8("menuLicense"));
        DeepSeaGUI->setMenuBar(menuBar);
        QWidget::setTabOrder(m_PWMUVSpinBox, m_currentUVSpinBox);
        QWidget::setTabOrder(m_currentUVSpinBox, m_PWMIRSpinBox);
        QWidget::setTabOrder(m_PWMIRSpinBox, m_currentIRSpinBox);
        QWidget::setTabOrder(m_currentIRSpinBox, m_PWMRSpinBox);
        QWidget::setTabOrder(m_PWMRSpinBox, m_currentRSpinBox);
        QWidget::setTabOrder(m_currentRSpinBox, m_PWMGSpinBox);
        QWidget::setTabOrder(m_PWMGSpinBox, m_currentGSpinBox);
        QWidget::setTabOrder(m_currentGSpinBox, m_PWMBSpinBox);
        QWidget::setTabOrder(m_PWMBSpinBox, m_currentBSpinBox);
        QWidget::setTabOrder(m_currentBSpinBox, m_TSL2572GainComboBox);
        QWidget::setTabOrder(m_TSL2572GainComboBox, m_TSL2572IntegrationtimeSpinBox);
        QWidget::setTabOrder(m_TSL2572IntegrationtimeSpinBox, m_TCS3472RedGainComboBox);
        QWidget::setTabOrder(m_TCS3472RedGainComboBox, m_TCS3472RedIntegrationtimeSpinBox);
        QWidget::setTabOrder(m_TCS3472RedIntegrationtimeSpinBox, m_TCS3472GreenGainComboBox);
        QWidget::setTabOrder(m_TCS3472GreenGainComboBox, m_TCS3472GreenIntegrationtimeSpinBox);
        QWidget::setTabOrder(m_TCS3472GreenIntegrationtimeSpinBox, m_TCS3472BlueGainComboBox);
        QWidget::setTabOrder(m_TCS3472BlueGainComboBox, m_TCS3472BlueIntegrationtimeSpinBox);
        QWidget::setTabOrder(m_TCS3472BlueIntegrationtimeSpinBox, m_TCS3472ClearGainComboBox);
        QWidget::setTabOrder(m_TCS3472ClearGainComboBox, m_TCS3472ClearIntegrationtimeSpinBox);
        QWidget::setTabOrder(m_TCS3472ClearIntegrationtimeSpinBox, m_VEML6070IntegrationtimeComboBox);
        QWidget::setTabOrder(m_VEML6070IntegrationtimeComboBox, m_pressureADCPrecisionComboBox);
        QWidget::setTabOrder(m_pressureADCPrecisionComboBox, m_temperatureADCPrecisionComboBox);
        QWidget::setTabOrder(m_temperatureADCPrecisionComboBox, m_serialPortComboBox);
        QWidget::setTabOrder(m_serialPortComboBox, m_measurementMethodComboBox);
        QWidget::setTabOrder(m_measurementMethodComboBox, m_numberSamplesSpinBox);
        QWidget::setTabOrder(m_numberSamplesSpinBox, m_sampleRateSpinBox);
        QWidget::setTabOrder(m_sampleRateSpinBox, m_resultsTabWidget);
        QWidget::setTabOrder(m_resultsTabWidget, m_showRedCheckBox);
        QWidget::setTabOrder(m_showRedCheckBox, m_showGreenCheckBox);
        QWidget::setTabOrder(m_showGreenCheckBox, m_showBlueCheckBox);
        QWidget::setTabOrder(m_showBlueCheckBox, m_showClearCheckBox);
        QWidget::setTabOrder(m_showClearCheckBox, m_showIRCheckBox);
        QWidget::setTabOrder(m_showIRCheckBox, m_showUVCheckBox);
        QWidget::setTabOrder(m_showUVCheckBox, m_showPressureCheckBox);
        QWidget::setTabOrder(m_showPressureCheckBox, m_showTemperatureCheckBox);

        menuBar->addAction(menuLicense->menuAction());
        menuLicense->addAction(actionLicense);

        retranslateUi(DeepSeaGUI);

        m_resultsTabWidget->setCurrentIndex(1);


        QMetaObject::connectSlotsByName(DeepSeaGUI);
    } // setupUi

    void retranslateUi(QMainWindow *DeepSeaGUI)
    {
        DeepSeaGUI->setWindowTitle(QApplication::translate("DeepSeaGUI", "DeepSeaGUI", nullptr));
        actionLicense->setText(QApplication::translate("DeepSeaGUI", "License", nullptr));
        m_chooseDeviceLabel->setText(QApplication::translate("DeepSeaGUI", "<html><head/><body><p><span style=\" font-weight:600;\">Choose USB Device</span></p></body></html>", nullptr));
        m_serialPortRefreshButton->setText(QApplication::translate("DeepSeaGUI", "Refresh", nullptr));
        m_chooseParametersLabel->setText(QApplication::translate("DeepSeaGUI", "<html><head/><body><p><span style=\" font-weight:600;\">Choose Measurement Parameters</span></p></body></html>", nullptr));
        m_PWMUVLabel->setText(QApplication::translate("DeepSeaGUI", "PWM UV (0-255):", nullptr));
        m_currentUVLabel->setText(QApplication::translate("DeepSeaGUI", "Current UV (0-255):", nullptr));
        m_PWMIRLabel->setText(QApplication::translate("DeepSeaGUI", "PWM IR (0-255):", nullptr));
        m_currentIRLabel->setText(QApplication::translate("DeepSeaGUI", "Current IR (0-255):", nullptr));
        m_TSL2572GainLLabel->setText(QApplication::translate("DeepSeaGUI", "TSL2572 Gain:", nullptr));
        m_TSL2572IntegrationtimeLabel->setText(QApplication::translate("DeepSeaGUI", "TSL2572 Int. Time (1-255 Steps):", nullptr));
        m_TCS3472RedGainLabel->setText(QApplication::translate("DeepSeaGUI", "<html><head/><body><p>TCS3472 Gain <span style=\" font-weight:600;\">Red</span>:</p></body></html>", nullptr));
        m_TCS3472RedIntegrationtimeLabel->setText(QApplication::translate("DeepSeaGUI", "<html><head/><body><p>TCS3472 Int. Time <span style=\" font-weight:600;\">Red</span> (1-255 Steps):</p></body></html>", nullptr));
        m_VEML6070IntegrationtimeLabel->setText(QApplication::translate("DeepSeaGUI", "VEML6070 Int. Time (relative):", nullptr));
        m_TSL2572TimeResultLabel->setText(QApplication::translate("DeepSeaGUI", "2.73 ms", nullptr));
        m_TCS3472RedTimeResultLabel->setText(QApplication::translate("DeepSeaGUI", "2.4 ms", nullptr));
        m_VEML6070TimeResultLabel->setText(QApplication::translate("DeepSeaGUI", "62.5 ms", nullptr));
        m_PWMGLabel->setText(QApplication::translate("DeepSeaGUI", "PWM Green (0-255):", nullptr));
        m_PWMRLabel->setText(QApplication::translate("DeepSeaGUI", "PWM Red (0-255):", nullptr));
        m_currentGLabel->setText(QApplication::translate("DeepSeaGUI", "Current Green (0-255):", nullptr));
        m_currentRLabel->setText(QApplication::translate("DeepSeaGUI", "Current Red (0-255):", nullptr));
        m_PWMBLabel->setText(QApplication::translate("DeepSeaGUI", "PWM Blue (0-255):", nullptr));
        m_currentBLabel->setText(QApplication::translate("DeepSeaGUI", "Current Blue (0-255):", nullptr));
        m_pressureADCPrecisionLabel->setText(QApplication::translate("DeepSeaGUI", "Pressure ADC Precision (Bits):", nullptr));
        m_temperatureADCPrecisionLabel->setText(QApplication::translate("DeepSeaGUI", "Temperature ADC Precision (Bits):", nullptr));
        m_TCS3472GreenIntegrationtimeLabel->setText(QApplication::translate("DeepSeaGUI", "<html><head/><body><p>TCS3472 Int. Time <span style=\" font-weight:600;\">Green</span> (1-255 Steps):</p></body></html>", nullptr));
        m_TCS3472GreenGainLabel->setText(QApplication::translate("DeepSeaGUI", "<html><head/><body><p>TCS3472 Gain <span style=\" font-weight:600;\">Green</span>:</p></body></html>", nullptr));
        m_TCS3472GreenTimeResultLabel->setText(QApplication::translate("DeepSeaGUI", "2.4 ms", nullptr));
        m_TCS3472BlueIntegrationtimeLabel->setText(QApplication::translate("DeepSeaGUI", "<html><head/><body><p>TCS3472 Int. Time <span style=\" font-weight:600;\">Blue</span> (1-255 Steps):</p></body></html>", nullptr));
        m_TCS3472BlueGainLabel->setText(QApplication::translate("DeepSeaGUI", "<html><head/><body><p>TCS3472 Gain <span style=\" font-weight:600;\">Blue</span>:</p></body></html>", nullptr));
        m_TCS3472BlueTimeResultLabel->setText(QApplication::translate("DeepSeaGUI", "2.4 ms", nullptr));
        m_TCS3472ClearIntegrationtimeLabel->setText(QApplication::translate("DeepSeaGUI", "<html><head/><body><p>TCS3472 Int. Time <span style=\" font-weight:600;\">Clear</span> (1-255 Steps):</p></body></html>", nullptr));
        m_TCS3472ClearGainLabel->setText(QApplication::translate("DeepSeaGUI", "<html><head/><body><p>TCS3472 Gain <span style=\" font-weight:600;\">Clear</span>:</p></body></html>", nullptr));
        m_TCS3472ClearTimeResultLabel->setText(QApplication::translate("DeepSeaGUI", "2.4 ms", nullptr));
        m_chooseMeasurementLabel->setText(QApplication::translate("DeepSeaGUI", "<html><head/><body><p><span style=\" font-weight:600;\">Choose Measurement Method</span></p></body></html>", nullptr));
        m_sampleRateLabel->setText(QApplication::translate("DeepSeaGUI", "Time between Samples (s):", nullptr));
        m_numberSamplesLabel->setText(QApplication::translate("DeepSeaGUI", "Number of Samples:", nullptr));
        m_sampleTimeLabel->setText(QApplication::translate("DeepSeaGUI", "Resulting Sample Time:", nullptr));
        m_measurementMethodLabel->setText(QApplication::translate("DeepSeaGUI", "Method:", nullptr));
        m_resultingSampleTimeLabel->setText(QApplication::translate("DeepSeaGUI", "<html><head/><body><p>1 s</p></body></html>", nullptr));
        m_startMeasurementButton->setText(QApplication::translate("DeepSeaGUI", "Start", nullptr));
        m_stopMeasurementButton->setText(QApplication::translate("DeepSeaGUI", "Stop", nullptr));
        m_showRedCheckBox_3->setText(QApplication::translate("DeepSeaGUI", "Create Time Stamp", nullptr));
        m_statusTextEdit->setHtml(QApplication::translate("DeepSeaGUI", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
"<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
"p, li { white-space: pre-wrap; }\n"
"</style></head><body style=\" font-family:'.AppleSystemUIFont'; font-size:13pt; font-weight:400; font-style:normal;\">\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:'.SF NS Text';\"><br /></p></body></html>", nullptr));
        m_statusTextEdit->setPlaceholderText(QApplication::translate("DeepSeaGUI", "Status:", nullptr));
        m_chooseFileButton->setText(QApplication::translate("DeepSeaGUI", "Choose File", nullptr));
        m_chooseFileLabel->setText(QApplication::translate("DeepSeaGUI", "<html><head/><body><p><span style=\" font-weight:600;\">Choose File for Data</span></p></body></html>", nullptr));
        m_currentFileTextEdit->setHtml(QApplication::translate("DeepSeaGUI", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
"<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
"p, li { white-space: pre-wrap; }\n"
"</style></head><body style=\" font-family:'.AppleSystemUIFont'; font-size:11pt; font-weight:400; font-style:normal;\">\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:'.SF NS Text'; font-size:13pt;\"><br /></p></body></html>", nullptr));
        m_currentFileTextEdit->setPlaceholderText(QApplication::translate("DeepSeaGUI", "Write Data to File:", nullptr));
        m_resultsTabWidget->setTabText(m_resultsTabWidget->indexOf(onlineChartTab), QApplication::translate("DeepSeaGUI", "online Chart", nullptr));
        m_responseTextEdit->setHtml(QApplication::translate("DeepSeaGUI", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
"<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
"p, li { white-space: pre-wrap; }\n"
"</style></head><body style=\" font-family:'.AppleSystemUIFont'; font-size:13pt; font-weight:400; font-style:normal;\">\n"
"<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:'.SF NS Text';\"><br /></p></body></html>", nullptr));
        m_responseTextEdit->setPlaceholderText(QApplication::translate("DeepSeaGUI", "Report:", nullptr));
        m_resultsTabWidget->setTabText(m_resultsTabWidget->indexOf(rawDataTab), QApplication::translate("DeepSeaGUI", "Raw Data", nullptr));
        m_chartOptionsLabel->setText(QApplication::translate("DeepSeaGUI", "<html><head/><body><p><span style=\" font-weight:600;\">Chart Options</span></p></body></html>", nullptr));
        m_clearDataButton->setText(QApplication::translate("DeepSeaGUI", "Clear Data", nullptr));
        m_saveChartButton->setText(QApplication::translate("DeepSeaGUI", "Save Chart", nullptr));
        m_loadDataButton->setText(QApplication::translate("DeepSeaGUI", "Load Data", nullptr));
        m_showClearCheckBox->setText(QApplication::translate("DeepSeaGUI", "Clear", nullptr));
        m_showBlueCheckBox->setText(QApplication::translate("DeepSeaGUI", "Blue", nullptr));
        m_showGreenCheckBox->setText(QApplication::translate("DeepSeaGUI", "Green", nullptr));
        m_showRedCheckBox->setText(QApplication::translate("DeepSeaGUI", "Red", nullptr));
        m_showUVCheckBox->setText(QApplication::translate("DeepSeaGUI", "UV", nullptr));
        m_showTemperatureCheckBox->setText(QApplication::translate("DeepSeaGUI", "Tempe-\n"
"rature", nullptr));
        m_showIRCheckBox->setText(QApplication::translate("DeepSeaGUI", "IR", nullptr));
        m_showPressureCheckBox->setText(QApplication::translate("DeepSeaGUI", "Pres-\n"
"sure", nullptr));
        m_pointsVisibleCheckBox->setText(QApplication::translate("DeepSeaGUI", "Points Visible", nullptr));
        m_legendVisibleCheckBox->setText(QApplication::translate("DeepSeaGUI", "Legend Visible", nullptr));
        m_showRedCheckBox_2->setText(QApplication::translate("DeepSeaGUI", "Red", nullptr));
        m_sampleTimeLabel_2->setText(QString());
        menuLicense->setTitle(QApplication::translate("DeepSeaGUI", "About", nullptr));
    } // retranslateUi

};

namespace Ui {
    class DeepSeaGUI: public Ui_DeepSeaGUI {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_DEEPSEAGUI_H
